<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__bls__descr__value__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_bls_descr_value_t</compoundname>
    <includes local="no">cy_ble_bls.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__bls__descr__value__t_1aa7a4704112ad5ad0de4d11a8c6b40f86" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_bls_descr_value_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Peer Device Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="109" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="109" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bls__descr__value__t_1a7e284ef400711dcbc414a32085f8f31f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___b_l_s__definitions_1ga8d57a25c0afd2ea664ba9aa3a7dd17d7">cy_en_ble_bls_char_index_t</ref></type>
        <definition>cy_en_ble_bls_char_index_t cy_stc_ble_bls_descr_value_t::charIndex</definition>
        <argsstring />
        <name>charIndex</name>
        <briefdescription>
<para>Index of Service Characteristic. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="110" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="110" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bls__descr__value__t_1afd46ac4d57ccc7cc355c9dd5ef50cabe" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__service__api___b_l_s__definitions_1ga4d96f1c58a26e6d215a3b6e2c85ba435">cy_en_ble_bls_descr_index_t</ref></type>
        <definition>cy_en_ble_bls_descr_index_t cy_stc_ble_bls_descr_value_t::descrIndex</definition>
        <argsstring />
        <name>descrIndex</name>
        <briefdescription>
<para>Index of Service Characteristic descriptor. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="111" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="111" />
      </memberdef>
      <memberdef id="structcy__stc__ble__bls__descr__value__t_1acb88eceb8eac67d8ad3f13d289ae1880" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref> *</type>
        <definition>cy_stc_ble_gatt_value_t* cy_stc_ble_bls_descr_value_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Descriptor value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="112" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="112" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Blood Pressure Service Characteristic descriptor value parameter structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="168">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="166">
        <label>cy_stc_ble_bls_descr_value_t</label>
        <link refid="structcy__stc__ble__bls__descr__value__t" />
        <childnode refid="167" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="168" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="167">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="113" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" bodystart="107" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_bls.h" line="108" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__bls__descr__value__t_1a7e284ef400711dcbc414a32085f8f31f" virt="non-virtual"><scope>cy_stc_ble_bls_descr_value_t</scope><name>charIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bls__descr__value__t_1aa7a4704112ad5ad0de4d11a8c6b40f86" virt="non-virtual"><scope>cy_stc_ble_bls_descr_value_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__bls__descr__value__t_1afd46ac4d57ccc7cc355c9dd5ef50cabe" virt="non-virtual"><scope>cy_stc_ble_bls_descr_value_t</scope><name>descrIndex</name></member>
      <member prot="public" refid="structcy__stc__ble__bls__descr__value__t_1acb88eceb8eac67d8ad3f13d289ae1880" virt="non-virtual"><scope>cy_stc_ble_bls_descr_value_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>